# 主要股東

`GET` `/v1/quote/shareholders`

獲取公司主要機構股東和個人股東信息。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `AAPL.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/shareholders?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `shareholder_list` | object[] | No | 股東列表， |
| `└ shareholder_id` | string | No | 股東 ID |
| `└ shareholder_name` | string | No | 股東名稱 |
| `└ percent_of_shares` | string | No | 持股比例 |
| `└ shares_changed` | string | No | 持股變動 |
| `└ report_date` | string | No | 報告日期 |
| `└ stocks` | array | No | 關聯標的 |
| `└ institution_type` | string | No | 機構類型 |
| `total` | integer | No | 股東總數 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "forward_url": "",
    "total": 33,
    "shareholder_list": [
      {
        "shareholder_name": "Timothy D. Cook",
        "percent_of_shares": "2.84",
        "institution_type": "",
        "report_date": "2026-04-21",
        "shareholder_id": "0",
        "shares_changed": "0",
        "stocks": []
      }
    ]
  }
}
```
